/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: GetHostPerfMetricInfosEvent.as 448 2011-10-11 16:07:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.event {

import com.adobe.cairngorm.control.CairngormEvent;

public class GetHostPerfMetricInfosEvent extends CairngormEvent {
    private var _hostId:String;
    
    // Name of the Event.
    public static const GET_HOST_PERF_METRIC_INFOS : String = "getHostPerfMetricInfos";
    
    public function GetHostPerfMetricInfosEvent(hostId:String) {
        super(GET_HOST_PERF_METRIC_INFOS);
        this._hostId=hostId;
    }
    
    public function get hostId():String
    {
        return this._hostId;
    }

}

}


