/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: Event$Level.as 788 2011-12-21 11:49:55Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.vo {
    
    import flash.utils.IExternalizable;
    
    import org.granite.util.Enum;
    
    [Bindable]
    [RemoteClass(alias="org.ow2.sirocco.cloudmanager.provider.api.entity.Event$Level")]
    public class Event$Level extends Enum implements IExternalizable {
        
        public static const INFO:Event$Level = new Event$Level("INFO",_);
        public static const WARNING:Event$Level = new Event$Level("WARNING",_);
        public static const ERROR:Event$Level = new Event$Level("ERROR",_);
        
        function Event$Level(value:String = null, restrictor:* = null) {
            super((value || INFO.name), restrictor);
        }
        
        override protected function getConstants():Array {
            return constants;
        }
        
        public static function get constants():Array {
            return [INFO,WARNING,ERROR];
        }
        
        public static function valueOf(name:String):Event$Level {
            return Event$Level(INFO.constantOf(name));
        }
    
    }
}


