/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: VirtualMachineExtendedInfo.as 788 2011-12-21 11:49:55Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.vo
{
    import com.adobe.cairngorm.vo.IValueObject;
    
    import mx.collections.ArrayCollection;
    
    [RemoteClass(alias="org.ow2.sirocco.cloudmanager.provider.api.entity.vo.VirtualMachineExtendedInfo")]
    [Bindable]
    public class VirtualMachineExtendedInfo implements IValueObject
    {
        
        public var schedulingCap:Number;
        
        public var schedulingWeight:Number;
        
        public var nics:ArrayCollection;
        
        public function VirtualMachineExtendedInfo()
        {
            super();
            nics=new ArrayCollection();
        }
        
        public function toString():String
        {
            return "VirtualMachineExtendedInfo {schedulingCap = " + schedulingCap + ", schedulingWeight = " + schedulingWeight + "}";
        }
    }

}


