/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: VMImage$Status.as 788 2011-12-21 11:49:55Z dangtran $
 *
 */


package org.ow2.sirocco.cloudmanager.business
{
    
    import org.granite.util.Enum;
    import flash.utils.IDataInput;
    import flash.utils.IDataOutput;
    import flash.utils.IExternalizable;
    
    
    [Bindable]
    [RemoteClass(alias = "org.ow2.sirocco.cloudmanager.provider.api.entity.MachineImage$State")]
    public class VMImage$Status extends Enum implements IExternalizable
    {
        
        public static const CREATING : VMImage$Status = new VMImage$Status("CREATING", _);
        
        public static const AVAILABLE : VMImage$Status = new VMImage$Status("AVAILABLE", _);
        
        public static const DELETING : VMImage$Status = new VMImage$Status("DELETING", _);
        
        public static const ERROR : VMImage$Status = new VMImage$Status("ERROR", _);
        
        public static const DELETED : VMImage$Status = new VMImage$Status("DELETED", _);
        
        
        
        function VMImage$Status(value : String = null, restrictor : * = null)
        {
            super((value || CREATING.name), restrictor);
        }
        
        
        
        override protected function getConstants() : Array
        {
            return constants;
        }
        
        
        
        public static function get constants() : Array
        {
            return [CREATING, AVAILABLE, ERROR, DELETING,DELETED];
        }
        
        
        
        public static function valueOf(name : String) : VMImage$Status
        {
            return VMImage$Status(CREATING.constantOf(name));
        }
    
    }
}


