/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: UserVO.as 797 2011-12-21 20:45:53Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.vo
{
    
    import com.adobe.cairngorm.vo.IValueObject;
    
    import mx.collections.ArrayCollection;
    
    
    [RemoteClass(alias="org.ow2.sirocco.cloudmanager.provider.api.entity.vo.UserVO")]
    [Bindable]
    public class UserVO implements IValueObject
    {
        
        public var lastName : String;
        
        public var firstName : String;
        
        public var username : String;
        
        public var email : String;
        
        public var publicKey : String;
        
        public var createDate : Date;
        
        public var password : String;
        
        public var apiPassword : String;
        
        public var admin : Boolean;
        
        public var defaultProject : ProjectVO;
        
        public var userRightInProjectVo:String;
        
        
        public function UserVO()
        {
            super();
        }
        
        
        
        public function toString() : String
        {
            return username;
        }
    }

}


